
CoCoA-5 - Bug #745

Readline: avoid printing out READLINE twice

09 Jul 2015 13:07 - John Abbott

Status: Closed Start date: 09 Jul 2015

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: External  Libs Estimated time: 0.00 hour

Target version: CoCoA-5.1.2 summer 2015 Spent time: 0.80 hour

Description

When C5 starts it prints out a list of ext libs being used; READLINE appears twice.

Related issues:

Related to CoCoA-5 - Feature #719: Readline: consider creating a textual inte... Closed 21 May 2015

History

#1 - 27 Jul 2015 19:45 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

- % Done changed from 0 to 80

JAA corrected a bug in ExtLibNames (in file Banner.C).  The problem was trailing whitespace which caused the EOF test to "wrongly" report

not-at-EOF, then the subsequent read operation failed (because whitespace is skipped immediately prior to reading a value), but this was not tested.

JAA thinks it is cleaner to explicitly skip the whitespace, rather than attempt to read and then check whether the attempt succeeded or failed.

#2 - 29 Jul 2015 15:18 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Activated the line making ExtLibNames correct even when input contains only whitespace chars.

Works fine both with text CoCoA-5 and GUI, so closing.
